OpenShot Audio Library | OpenShotAudio 0.4.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
juce::WebInputStream::Listener Class Reference

`#include <juce_WebInputStream.h>`

## Public Member Functions
virtual | ~Listener ()=default
virtual bool | postDataSendProgress (WebInputStream &request, int bytesSent, int totalBytes)

## Detailed Description

Used to receive callbacks for POST data send progress.

Pass one of these into the connect() method and its postDataSendProgress() method will be called periodically with updates on POST data upload progress.

Definition at line 96 of file juce_WebInputStream.h.

## Constructor & Destructor Documentation

## ◆ ~Listener()

virtual juce::WebInputStream::Listener::~Listener | ( |  | ) |
| virtual default

Destructor.

## Member Function Documentation

## ◆ postDataSendProgress()

bool juce::WebInputStream::Listener::postDataSendProgress | ( | WebInputStream & | request,
|  | int | bytesSent,
|  | int | totalBytes )
| virtual

This method will be called periodically with updates on POST data upload progress.

Parameters

  request | the original request
  bytesSent | the number of bytes sent so far
  totalBytes | the total number of bytes to send

Returns
  true to continue or false to cancel the upload

Definition at line 96 of file juce_WebInputStream.cpp.

The documentation for this class was generated from the following files:

- juce_WebInputStream.h
- juce_WebInputStream.cpp